'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanupTypes = exports.cleanupType = undefined;

var _cleanupEmpty = require('./utils/cleanupEmpty');

var _cleanupEmpty2 = _interopRequireDefault(_cleanupEmpty);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

// Block-Types to be handled will be stored here
var types = [];
var cleanupEmptyPlugin = function cleanupEmptyPlugin(options) {
  types = options.types || [];
  return {
    onChange: function onChange(editorState) {
      var newEditorState = editorState;

      // Iterate over blockMap
      editorState.getCurrentContent().get('blockMap').forEach(function (block) {
        // If the block type is registered within the plugin, and no entity was
        // found, perform cleanup of the block
        if (types.indexOf(block.get('type')) !== -1 && block.getEntityAt(0) === null) {
          newEditorState = (0, _cleanupEmpty2.default)(editorState, block.get('key'), block.get('type'));
        }
      });
      return newEditorState;
    }
  };
};

exports.default = cleanupEmptyPlugin;
// Use this to add one type to the list

var cleanupType = exports.cleanupType = function cleanupType(item) {
  return types.push(item);
};
// Use this to add multiple types to the list
var cleanupTypes = exports.cleanupTypes = function cleanupTypes(items) {
  var _types;

  return (_types = types).push.apply(_types, _toConsumableArray(items));
};