'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _draftJs = require('draft-js');

exports.default = function (editorState, blockKey, type) {
  var content = editorState.getCurrentContent();

  // get range of the broken block
  var targetRange = new _draftJs.SelectionState({
    anchorKey: blockKey,
    anchorOffset: 0,
    focusKey: blockKey,
    focusOffset: 0
  });

  // convert the block to a unstyled block to make text editing work
  var without = _draftJs.Modifier.setBlockType(content, targetRange, 'unstyled');
  var newState = _draftJs.EditorState.push(editorState, without, 'remove-' + type);
  return _draftJs.EditorState.forceSelection(newState, without.getSelectionAfter());
};